unit babyunit2;

interface

type
    MyType = (a,b,c);

implementation

end.

unit babyunit;

interface
uses babyunit2;

procedure printmytype(b : mytype);

implementation

procedure printmytype(b : mytype);
begin
  case ord(b) of
    0: write ( 'O' );
    1: write ( 'K' );
    2: writeln;
  end
end;

end.

program baby2;

uses babyunit,babyunit2;

var x : mytype;

begin
  for x:=a to c do
    printmytype(x);
end.
